View Issue Details

IDProjectCategoryView StatusLast Update
0000927FreeCADPatchpublic2017-01-11 15:34
ReporternormandcAssigned Tonormandc 
PrioritynormalSeveritytextReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.16 
Summary0000927: [V0.13] Update text description in debian/control file
DescriptionThe control file is a text file used when building a Debian/Ubuntu package. Among other settings it includes a description about the software. This description is shown in a package manager (Synaptic, GDebi) and in the Ubuntu Software Center when one browses through the available software.

The current description is a few years old and needs updating. For example it says
"Extensible Open Source CAx program (alpha)"
...
"Editing and modeling features are currently somewhat limited."

We already agreed a few months ago to "upgrade" FreeCAD's status from alpha to beta. And the last statement of course is no longer true.
Additional InformationCurrent control file can be viewed here:

http://free-cad.git.sourceforge.net/git/gitweb.cgi?p=free-cad/free-cad;a=blob;f=package/debian/control;h=6e539444f6ce2f4cba2c3130bb77ceab4bd512c1;hb=5caf64e4c56f4314ad40435c0bc43bc0e495606c
TagsNo tags attached.

Activities

2012-12-23 04:39

 

FreeCAD_UbuntuSoftwareCenter.png (Attachment missing)

Jriegel

2014-01-12 17:57

administrator   ~0004056

Should we close that?

normandc

2014-01-12 18:02

manager   ~0004058

Err, no... I forgot to take care of that one! The control file still says "Editing and modeling features are currently somewhat limited."

I would also like the description to be a little less technical. I will suggest a new description.

yorik

2014-01-13 00:35

administrator   ~0004070

We could maybe take the description from the homepage?

normandc

2014-01-13 00:41

manager   ~0004071

Not a bad idea actually. Here's the text, only the first section.
What do others think? Should we create a forum topic?
==========
FreeCAD is a parametric 3D modeler. Parametric modeling allows you to easily modify your design by going back into your model history and changing its parameters. FreeCAD is open source (LGPL license) and completely modular, allowing for very advanced extension and customization.

FreeCAD is multiplatfom, and reads and writes many open file formats such as STEP, IGES, STL and others.
===========

quick61

2014-01-13 01:32

reporter   ~0004072

Last edited: 2014-01-13 03:53

View 2 revisions

Maybe add something to the effect of the last line? It would go along with the beta status while offering assurances to potential users that it would be OK to check out. Should be fitting for 0.14 stable at any rate.

==========
FreeCAD is a parametric 3D modeler. Parametric modeling allows you to easily modify your design by going back into your model history and changing its parameters. FreeCAD is open source (LGPL license) and completely modular, allowing for very advanced extension and customization.

FreeCAD is multiplatfom, and reads and writes many open file formats such as STEP, IGES, STL and others. While still under development, FreeCAD is highly usable and currently offers features most often found in commercial grade 3D CAD software offerings.
===========

yorik

2014-01-13 12:49

administrator   ~0004073

I am more in favor of Normand's version... Being still in development is a normal thing for opensource software...

normandc

2014-01-14 00:59

manager   ~0004076

I rather like quick61's addition, you don't agree?

Jriegel

2014-01-16 06:41

administrator   ~0004081

I would also go for quicks...

wmayer

2016-10-24 17:13

administrator   ~0007426

Should we close that?

Kunda1

2017-01-11 12:19

manager   ~0007624

ping @normandc per @wmayer question in ~7426

sgrogan1

2017-01-11 14:49

developer   ~0007631

I can confirm this is fixed on the PPA and in Master so it can be closed.

Issue History

Date Modified Username Field Change
2012-12-23 04:39 normandc New Issue
2012-12-23 04:39 normandc File Added: FreeCAD_UbuntuSoftwareCenter.png
2012-12-23 04:40 normandc Status new => acknowledged
2012-12-23 04:41 normandc Assigned To => normandc
2012-12-23 04:41 normandc Status acknowledged => assigned
2014-01-12 17:57 Jriegel Note Added: 0004056
2014-01-12 18:02 normandc Note Added: 0004058
2014-01-13 00:35 yorik Note Added: 0004070
2014-01-13 00:41 normandc Note Added: 0004071
2014-01-13 01:32 quick61 Note Added: 0004072
2014-01-13 03:53 quick61 Note Edited: 0004072 View Revisions
2014-01-13 12:49 yorik Note Added: 0004073
2014-01-14 00:59 normandc Note Added: 0004076
2014-01-16 06:41 Jriegel Note Added: 0004081
2016-10-24 17:13 wmayer Note Added: 0007426
2017-01-11 12:19 Kunda1 Note Added: 0007624
2017-01-11 14:49 sgrogan1 Note Added: 0007631
2017-01-11 15:34 wmayer Status assigned => closed
2017-01-11 15:34 wmayer Resolution open => fixed
2017-01-11 15:34 wmayer Fixed in Version => 0.16